Package org.eclipse.cdt.utils.debug

# Class DebugArrayType

java.lang.Object
org.eclipse.cdt.utils.debug.DebugType
org.eclipse.cdt.utils.debug.DebugDerivedType
org.eclipse.cdt.utils.debug.DebugArrayType

public class DebugArrayType extends DebugDerivedType
DebugArrayType

## Constructor Summary

Constructors
Constructor
Description
`DebugArrayType(DebugType type, int arraySize)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getSize()`

### Methods inherited from class org.eclipse.cdt.utils.debug.DebugDerivedType

`getComponentType, setComponentType`

### Methods inherited from class org.eclipse.cdt.utils.debug.DebugType

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DebugArrayType

public DebugArrayType(DebugType type, int arraySize)

## Method Details

### getSize

public int getSize()